# Get account status for creating payments Endpoint: GET /api/v3/accounts/{bban}/readiness Version: v3 Security: client_credentials, implicit, client_credentials_dev, implicit_dev ## Path parameters: - `bban` (string, required) BBAN ## Response 200 fields (text/plain): - `companyId` (string) Company id of account - `approvalsRequired` (integer) Number of approvals needed for bank upload - `hasBic` (boolean) Account has BIC set - `hasCurrency` (boolean) Account has currency set - `hasBankIntegration` (boolean) Account has bank intregration set. If false, must be handled by ZData - `readyForPayments` (boolean) Indicates whether account is ready for posting payments ## Response 401 fields (text/plain): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null) ## Response 404 fields (text/plain): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null)